# Interface MapEvents<K, V>

A type that maps event names to their corresponding event object types for an ObservableMap.

interface MapEvents<K, V> {
after-add: MapAfterItemEvent<K, V>;
after-remove: MapAfterItemEvent<K, V>;
change: MapChangeEvent<K, V>;
}

#### Type Parameters

- K
- V

#####
Index

### Properties

after-add
after-remove
change

##
Properties

### after-add

after-add: MapAfterItemEvent<K, V>

Fires after an item has been added to the Map.

### after-remove

after-remove: MapAfterItemEvent<K, V>

Fires after an item has been removed from the Map.

### change

change: MapChangeEvent<K, V>

Fires after an item has been Added or removed from the Map. From the Collection.